import { AnalyzeFoldersOptions } from './files';
import { RemoteBundle, AnalysisOptions, ConnectionOptions, GetAnalysisOptions } from './http';
import { AnalysisResult } from './interfaces/analysis-result.interface';
export declare function analyzeBundle(options: GetAnalysisOptions): Promise<AnalysisResult>;
interface FileAnalysisOptions extends ConnectionOptions, AnalysisOptions, AnalyzeFoldersOptions {
}
export declare function analyzeFolders(options: FileAnalysisOptions): Promise<AnalysisResult | null>;
interface CreateBundleFromFoldersOptions extends ConnectionOptions, AnalyzeFoldersOptions {
}
/**
 * Creates a remote bundle and returns response from the bundle API
 *
 * @param {CreateBundleFromFoldersOptions} options
 * @returns {Promise<RemoteBundle | null>}
 */
export declare function createBundleFromFolders(options: CreateBundleFromFoldersOptions): Promise<RemoteBundle | null>;
export {};
