import { FileInfo } from './interfaces/files.interface';
import { RemoteBundle, ConnectionOptions } from './http';
interface PrepareRemoteBundleOptions extends ConnectionOptions {
    files: FileInfo[];
    bundleHash?: string;
    removedFiles?: string[];
    maxPayload?: number;
}
interface UpdateRemoteBundleOptions extends ConnectionOptions {
    bundleHash: string;
    files: FileInfo[];
    maxPayload?: number;
}
/**
 * Splits files in buckets and upload in parallel
 * @param baseURL
 * @param sessionToken
 * @param remoteBundle
 */
export declare function uploadRemoteBundle({ maxPayload, ...options }: UpdateRemoteBundleOptions): Promise<boolean>;
interface RemoteBundleFactoryOptions extends PrepareRemoteBundleOptions {
    baseDir: string;
}
export declare function remoteBundleFactory(options: RemoteBundleFactoryOptions): Promise<RemoteBundle | null>;
export {};
